Subject: Re: [netlmm] IESG Comments was(Dan's DISCUSS and discussions thereof)

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 8 Apr 2008 13:13:49 -0700 (PDT)

Vidya, RFC number in Tim Polk's DISCUSS should be 4832 not 4382.

Regards,

Behcet

----- Original Message ----
From: "Narayanan, Vidya" <[email-masked]>
To: [email-masked]
Sent: Tuesday, April 8, 2008 1:17:53 AM
Subject: [netlmm] Dan's DISCUSS and discussions thereof

Attached. 

-----Inline Message Follows-----

Discuss:
I like Section 9 which describes the protocol configuration parameters in a clear and detailed manner. I believe though that it is missing two details which I suggest to add:

- how are the local mobility anchor and the mobile access gateway configured? is local configuration by CLI considered enough, or is there a need for remote configuration? Will a MIB module including configuration objects be defined (there is none chartered by now in the NETLMM WG as far as I can see) or something else? 

- what is the persistency and the behavior of the configured parameters in a reboot event?

Discuss:
I like Section 9 which describes the protocol configuration parameters in a clear and detailed manner. I believe though that it is missing two details which I suggest to add:

- how are the local mobility anchor and the mobile access gateway configured? is local configuration by CLI considered enough, or is there a need for remote configuration? Will a MIB module including configuration objects be defined (there is none chartered by now in the NETLMM WG as far as I can see) or something else? 

- what is the persistency and the behavior of the configured parameters in a reboot event?

-----Inline Message Follows-----

Hi Dan,

Thanks for your review comments. Please see inline ...

On Wed, 26 Mar 2008, Dan Romascanu wrote:

> Discuss:
> I like Section 9 which describes the protocol configuration parameters in a
> clear and detailed manner. I believe though that it is missing two
> details which I suggest to add:
>
> - how are the local mobility anchor and the mobile access gateway configured? is local configuration by CLI considered enough, or is there a need for remote configuration? Will a MIB module including
> configuration objects be defined (there is none chartered by now in the
>  NETLMM WG as far as I can see) or something else?
>

The LMA and MAG functions can be provisioned through CLI.

There is a proposal for Proxy Mobile IPv6 MIB, for defining the MO's
for MAG function and also for adding new MO's for the LMA function
which is to most extend covered in RFC-4295 (Mobile IPv6 MIB, for
the HA function). So, if the proposed item gets accepted as the charter
item, this aspect should be covered.

> - what is the persistency and the behavior of the configured parameters
> in a reboot event?
>

This is like any other standard service configuration, Ex: SIP Proxy
Server, HTTP Server, DNS Server ...etc. So, the configuration paramters
should survive after reboots and offcourse the session states will not
survive.

We can add few lines on the above two aspects. Again, thanks for
the review.

Regards
Sri

Hi Dan,

Thanks for your review comments. Please see inline ...

On Wed, 26 Mar 2008, Dan Romascanu wrote:

> Discuss:
> I like Section 9 which describes the protocol configuration parameters in a
> clear and detailed manner. I believe though that it is missing two
> details which I suggest to add:
>
> - how are the local mobility anchor and the mobile access gateway configured? is local configuration by CLI considered enough, or is there a need for remote configuration? Will a MIB module including
> configuration objects be defined (there is none chartered by now in the
>  NETLMM WG as far as I can see) or something else?
>

The LMA and MAG functions can be provisioned through CLI.

There is a proposal for Proxy Mobile IPv6 MIB, for defining the MO's
for MAG function and also for adding new MO's for the LMA function
which is to most extend covered in RFC-4295 (Mobile IPv6 MIB, for
the HA function). So, if the proposed item gets accepted as the charter
item, this aspect should be covered.

> - what is the persistency and the behavior of the configured parameters
> in a reboot event?
>

This is like any other standard service configuration, Ex: SIP Proxy
Server, HTTP Server, DNS Server ...etc. So, the configuration paramters
should survive after reboots and offcourse the session states will not
survive.

We can add few lines on the above two aspects. Again, thanks for
the review.

Regards
Sri

-----Inline Message Follows-----

From: Subject: 
This looks reasonable. I am waiting for your edit proposals.  

(For the second question - it is not always obvious that configuration
parameters survive defaults. In some cases protocol behavior dictates
returning to default values. If you know this is not the case here it's
fine). 

Dan

> -----Original Message-----
> From: Sri Gundavelli [mailto:[email-masked]] 
> Sent: Wednesday, March 26, 2008 6:31 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: DISCUSS: draft-ietf-netlmm-proxymip6 
> 
> Hi Dan,
> 
> Thanks for your review comments. Please see inline ...
> 
> 
> On Wed, 26 Mar 2008, Dan Romascanu wrote:
> 
> > Discuss:
> > I like Section 9 which describes the protocol configuration 
> parameters 
> > in a clear and detailed manner. I believe though that it is missing 
> > two details which I suggest to add:
> >
> > - how are the local mobility anchor and the mobile access gateway 
> > configured? is local configuration by CLI considered enough, or is 
> > there a need for remote configuration? Will a MIB module 
> including configuration objects be defined (there is none 
> chartered by now in the  NETLMM WG as far as I can see) or 
> something else?
> >
> 
> The LMA and MAG functions can be provisioned through CLI.
> 
> There is a proposal for Proxy Mobile IPv6 MIB, for defining 
> the MO's for MAG function and also for adding new MO's for 
> the LMA function which is to most extend covered in RFC-4295 
> (Mobile IPv6 MIB, for the HA function). So, if the proposed 
> item gets accepted as the charter item, this aspect should be covered.
> 
> 
> > - what is the persistency and the behavior of the configured 
> > parameters in a reboot event?
> >
> 
> This is like any other standard service configuration, Ex: 
> SIP Proxy Server, HTTP Server, DNS Server ...etc. So, the 
> configuration paramters should survive after reboots and 
> offcourse the session states will not survive.
> 
> We can add few lines on the above two aspects. Again, thanks 
> for the review.
> 
> Regards
> Sri
> 
> >
> >
> 

-----Inline Message Follows-----

From: Subject: 
Hi Dan,

On Wed, 26 Mar 2008, Romascanu, Dan (Dan) wrote:

> This looks reasonable. I am waiting for your edit proposals.
>

Sure. Will post the text in a day.

> (For the second question - it is not always obvious that configuration
> parameters survive defaults. In some cases protocol behavior dictates
> returning to default values. If you know this is not the case here it's
> fine).
>

In case of Proxy Mobile IPv6, the protocol behavior should not influence
the administrator chosen config parameters, the config parameters
will retain the set values. These are mostly policy elements. We will
clarify this.

Regards
Sri

> Dan
>
>> -----Original Message-----
>> From: Sri Gundavelli [mailto:[email-masked]]
>> Sent: Wednesday, March 26, 2008 6:31 PM
>> To: Romascanu, Dan (Dan)
>> Cc: [email-masked]; [email-masked];
>> [email-masked]
>> Subject: Re: DISCUSS: draft-ietf-netlmm-proxymip6
>>
>> Hi Dan,
>>
>> Thanks for your review comments. Please see inline ...
>>
>>
>> On Wed, 26 Mar 2008, Dan Romascanu wrote:
>>
>>> Discuss:
>>> I like Section 9 which describes the protocol configuration
>> parameters
>>> in a clear and detailed manner. I believe though that it is missing
>>> two details which I suggest to add:
>>>
>>> - how are the local mobility anchor and the mobile access gateway
>>> configured? is local configuration by CLI considered enough, or is
>>> there a need for remote configuration? Will a MIB module
>> including configuration objects be defined (there is none
>> chartered by now in the  NETLMM WG as far as I can see) or
>> something else?
>>>
>>
>> The LMA and MAG functions can be provisioned through CLI.
>>
>> There is a proposal for Proxy Mobile IPv6 MIB, for defining
>> the MO's for MAG function and also for adding new MO's for
>> the LMA function which is to most extend covered in RFC-4295
>> (Mobile IPv6 MIB, for the HA function). So, if the proposed
>> item gets accepted as the charter item, this aspect should be covered.
>>
>>
>>> - what is the persistency and the behavior of the configured
>>> parameters in a reboot event?
>>>
>>
>> This is like any other standard service configuration, Ex:
>> SIP Proxy Server, HTTP Server, DNS Server ...etc. So, the
>> configuration paramters should survive after reboots and
>> offcourse the session states will not survive.
>>
>> We can add few lines on the above two aspects. Again, thanks
>> for the review.
>>
>> Regards
>> Sri
>>
>>>
>>>
>>
>

-----Inline Message Follows-----

From: Subject: 
Hi Dan,

Here is the proposed change on the persistency aspects related
to the protocol parameters.

> 9.  Protocol Configuration Variables
>
> The local mobility anchor MUST allow the following variables
> to be configured by the system management.

change to

> 9.  Protocol Configuration Variables
>
> The local mobility anchor MUST allow the following variables
> to be configured by the system management. The configured
> values for these protocol variables MUST survive server
> reboots and service restarts.

Please let me know if this addresses your concerns.

Best Regards
Sri

> -----Original Message-----
> From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
> Sent: Wednesday, March 26, 2008 9:41 AM
> To: Sri Gundavelli
> Cc: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: RE: DISCUSS: draft-ietf-netlmm-proxymip6 
> 
> This looks reasonable. I am waiting for your edit proposals.  
> 
> (For the second question - it is not always obvious that configuration
> parameters survive defaults. In some cases protocol behavior dictates
> returning to default values. If you know this is not the case 
> here it's
> fine). 
> 
> Dan
> 
> > -----Original Message-----
> > From: Sri Gundavelli [mailto:[email-masked]] 
> > Sent: Wednesday, March 26, 2008 6:31 PM
> > To: Romascanu, Dan (Dan)
> > Cc: [email-masked]; [email-masked]; 
> > [email-masked]
> > Subject: Re: DISCUSS: draft-ietf-netlmm-proxymip6 
> > 
> > Hi Dan,
> > 
> > Thanks for your review comments. Please see inline ...
> > 
> > 
> > On Wed, 26 Mar 2008, Dan Romascanu wrote:
> > 
> > > Discuss:
> > > I like Section 9 which describes the protocol configuration 
> > parameters 
> > > in a clear and detailed manner. I believe though that it 
> is missing 
> > > two details which I suggest to add:
> > >
> > > - how are the local mobility anchor and the mobile access gateway 
> > > configured? is local configuration by CLI considered 
> enough, or is 
> > > there a need for remote configuration? Will a MIB module 
> > including configuration objects be defined (there is none 
> > chartered by now in the  NETLMM WG as far as I can see) or 
> > something else?
> > >
> > 
> > The LMA and MAG functions can be provisioned through CLI.
> > 
> > There is a proposal for Proxy Mobile IPv6 MIB, for defining 
> > the MO's for MAG function and also for adding new MO's for 
> > the LMA function which is to most extend covered in RFC-4295 
> > (Mobile IPv6 MIB, for the HA function). So, if the proposed 
> > item gets accepted as the charter item, this aspect should 
> be covered.
> > 
> > 
> > > - what is the persistency and the behavior of the configured 
> > > parameters in a reboot event?
> > >
> > 
> > This is like any other standard service configuration, Ex: 
> > SIP Proxy Server, HTTP Server, DNS Server ...etc. So, the 
> > configuration paramters should survive after reboots and 
> > offcourse the session states will not survive.
> > 
> > We can add few lines on the above two aspects. Again, thanks 
> > for the review.
> > 
> > Regards
> > Sri
> > 
> > >
> > >
> > 

-----Inline Message Follows-----

From: Subject: 
Yes, this text would be fine. 

Thanks and Regards,

Dan

> -----Original Message-----
> From: Sri Gundavelli [mailto:[email-masked]] 
> Sent: Friday, March 28, 2008 7:26 AM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: RE: DISCUSS: draft-ietf-netlmm-proxymip6 
> 
> Hi Dan,
> 
> Here is the proposed change on the persistency aspects 
> related to the protocol parameters.
> 
> > 9.  Protocol Configuration Variables
> >
> > The local mobility anchor MUST allow the following variables to be 
> > configured by the system management.
> 
> change to
> 
> > 9.  Protocol Configuration Variables
> >
> > The local mobility anchor MUST allow the following variables to be 
> > configured by the system management. The configured values 
> for these 
> > protocol variables MUST survive server reboots and service restarts.
> 
> Please let me know if this addresses your concerns.
> 
> Best Regards
> Sri
> 
> 
> 
> 
> > -----Original Message-----
> > From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> > Sent: Wednesday, March 26, 2008 9:41 AM
> > To: Sri Gundavelli
> > Cc: [email-masked]; [email-masked]; 
> > [email-masked]
> > Subject: RE: DISCUSS: draft-ietf-netlmm-proxymip6
> > 
> > This looks reasonable. I am waiting for your edit proposals.  
> > 
> > (For the second question - it is not always obvious that 
> configuration 
> > parameters survive defaults. In some cases protocol 
> behavior dictates 
> > returning to default values. If you know this is not the case here 
> > it's fine).
> > 
> > Dan
> > 
> > > -----Original Message-----
> > > From: Sri Gundavelli [mailto:[email-masked]]
> > > Sent: Wednesday, March 26, 2008 6:31 PM
> > > To: Romascanu, Dan (Dan)
> > > Cc: [email-masked]; [email-masked]; 
> > > [email-masked]
> > > Subject: Re: DISCUSS: draft-ietf-netlmm-proxymip6
> > > 
> > > Hi Dan,
> > > 
> > > Thanks for your review comments. Please see inline ...
> > > 
> > > 
> > > On Wed, 26 Mar 2008, Dan Romascanu wrote:
> > > 
> > > > Discuss:
> > > > I like Section 9 which describes the protocol configuration
> > > parameters
> > > > in a clear and detailed manner. I believe though that it
> > is missing
> > > > two details which I suggest to add:
> > > >
> > > > - how are the local mobility anchor and the mobile 
> access gateway 
> > > > configured? is local configuration by CLI considered
> > enough, or is
> > > > there a need for remote configuration? Will a MIB module
> > > including configuration objects be defined (there is none 
> chartered 
> > > by now in the  NETLMM WG as far as I can see) or something else?
> > > >
> > > 
> > > The LMA and MAG functions can be provisioned through CLI.
> > > 
> > > There is a proposal for Proxy Mobile IPv6 MIB, for defining 
> > > the MO's for MAG function and also for adding new MO's for 
> > > the LMA function which is to most extend covered in RFC-4295 
> > > (Mobile IPv6 MIB, for the HA function). So, if the proposed 
> > > item gets accepted as the charter item, this aspect should 
> > be covered.
> > > 
> > > 
> > > > - what is the persistency and the behavior of the configured 
> > > > parameters in a reboot event?
> > > >
> > > 
> > > This is like any other standard service configuration, Ex: 
> > > SIP Proxy Server, HTTP Server, DNS Server ...etc. So, the 
> > > configuration paramters should survive after reboots and 
> > > offcourse the session states will not survive.
> > > 
> > > We can add few lines on the above two aspects. Again, thanks 
> > > for the review.
> > > 
> > > Regards
> > > Sri
> > > 
> > > >
> > > >
> > > 
> 
> 

-----Inline Attachment Follows-----

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm